Package com.macrofocus.utils

# Class RandomAccessIterables

java.lang.Object
com.macrofocus.utils.RandomAccessIterables

public class RandomAccessIterables extends Object
Created by luc on 25.04.17.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RandomAccessIterables()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RandomAccessIterable<Integer>`
  `forArray(int... array)`
  `static <T> RandomAccessIterable<T>`
  `forArray(T... array)`
  `static <T> RandomAccessIterable<T>`
  `forList(List<T> array)`
  `static <T> RandomAccessIterable<T>`
  `forMap(IndexedNavigableMap<T,?> array)`
  `static <T> RandomAccessIterable<T>`
  `forMap(Map<T,?> array)`
  `static <T> Iterable<T>`
  `sort(RandomAccessIterable<T> values)`
  `static <T> Iterable<T>`
  `sort(RandomAccessIterable<T> values, Comparator<T> comparator)`
  `static String[]`
  `sortToString(RandomAccessIterable<Object> values)`
  `static <T> ArrayList<T>`
  `toArrayList(RandomAccessIterable<T> iterable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RandomAccessIterables

    public RandomAccessIterables()

- ## Method Details

  - ### forMap

    public static <T> RandomAccessIterable<T> forMap(Map<T,?> array)

  - ### forMap

    public static <T> RandomAccessIterable<T> forMap(IndexedNavigableMap<T,?> array)

  - ### forList

    public static <T> RandomAccessIterable<T> forList(List<T> array)

  - ### forArray

    public static RandomAccessIterable<Integer> forArray(int... array)

  - ### forArray

    public static <T> RandomAccessIterable<T> forArray(T... array)

  - ### toArrayList

    public static <T> ArrayList<T> toArrayList(RandomAccessIterable<T> iterable)

  - ### sortToString

    public static String[] sortToString(RandomAccessIterable<Object> values)

  - ### sort

    public static <T> Iterable<T> sort(RandomAccessIterable<T> values)

  - ### sort

    public static <T> Iterable<T> sort(RandomAccessIterable<T> values, Comparator<T> comparator)